shishi_ap_tktoptionsasn1usage(3)

NAME
shishi_ap_tktoptionsasn1usage - API function

SYNOPSIS
#include <shishi.h>

int shishi_ap_tktoptionsasn1usage(Shishi * handle, Shishi_ap ** ap, Shishi_tkt * tkt, int options, Shishi_asn1 node, const char * field, int authenticatorcksumkeyusage, int authenticatorkeyusage);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_ap ** ap
    pointer to new structure that holds information about AP exchange

Shishi_tkt * tkt
    ticket to set in newly created AP.

int options
    AP-REQ options to set in newly created AP.

Shishi_asn1 node
    input ASN.1 structure to store as authenticator checksum data.

const char * field
    field in ASN.1 structure to use.

int authenticatorcksumkeyusage
    key usage for checksum in authenticator.

int authenticatorkeyusage
    key usage for authenticator.

DESCRIPTION
Create a new AP exchange using shishi_ap(), and set ticket, options and authenticator checksum data from the DER encoding of the ASN.1 field using shishi_ap_set_tktoptionsasn1usage(). A random session key is added to the authenticator, using the same keytype as the ticket.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.